Update Vidm User Role
Update role for user mapped through VMware Identity Manager. Only admin users can perform this action.
User details
{
"username": "alleyMartin123",
"domain": "vidmlabs.com",
"display_name": "alley martin",
"role": "ADMIN"
}
Provide username (domain should not be part of username).
Provide domain name to which user belongs to.
Provide user's display name (could be "givenName familyName")
Role assigned the user/group.
Success
{
"id": "[email protected]",
"user_type": "VIDM",
"username": "alleymartin123",
"domain": "vidmlabs.com",
"display_name": "alley martin",
"role": "ADMIN"
}
The type of user.
Unique identifier assigned to user.
Role assigned the user/group.
Username of the user
Domain name to which group belongs to.
User's display name
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Forbidden
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Not Found
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Conflict
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/settings/users/vidm